## libkdeedu 4.8.5

=== keduvocdocument/CMakeLists.txt ===
add_subdirectory(tests)

########### next target ###############

set(keduvocdocument_LIB_SRCS
    keduvocdocument.cpp
    keduvocidentifier.cpp
    keduvocexpression.cpp
    keduvoctranslation.cpp
    keduvoccontainer.cpp
    keduvoclesson.cpp
    keduvocleitnerbox.cpp
    keduvoctext.cpp
    keduvocarticle.cpp
    keduvocconjugation.cpp
    keduvocpersonalpronoun.cpp
    keduvocdeclension.cpp
    keduvocwordtype.cpp
    keduvockvtmlcompability.cpp
    keduvockvtmlreader.cpp
    keduvockvtml2reader.cpp
    keduvockvtml2writer.cpp
    keduvoccsvreader.cpp
    keduvoccsvwriter.cpp
    keduvocpaukerreader.cpp
    keduvocvokabelnreader.cpp
    keduvocwqlreader.cpp
    keduvocxdxfreader.cpp
    sharedkvtmlfiles.cpp
)

kde4_add_library(keduvocdocument SHARED ${keduvocdocument_LIB_SRCS})

target_link_libraries(keduvocdocument  ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY})

set_target_properties(keduvocdocument
    PROPERTIES VERSION ${GENERIC_LIB_VERSION}
    SOVERSION ${GENERIC_LIB_SOVERSION}
)

# if we want to set our own version instead of following kde generic
#set(LIB_KEDUVOCDOCUMENT_VERSION "5.0.0")
#set(LIB_KEDUVOCDOCUMENT_SOVERSION "5")
#set_target_properties(keduvocdocument
#    PROPERTIES VERSION ${LIB_KEDUVOCDOCUMENT_VERSION}
#    SOVERSION ${LIB_KEDUVOCDOCUMENT_SOVERSION}
#)

install(TARGETS keduvocdocument EXPORT LibKdeEduTargets ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install(FILES
    libkeduvocdocument_export.h
    keduvocdocument.h
    keduvocidentifier.h
    keduvocexpression.h
    keduvoctext.h
    keduvocarticle.h
    keduvocconjugation.h
    keduvoclesson.h
    keduvocleitnerbox.h
    keduvoccontainer.h
    keduvocwordflags.h
    keduvocmultiplechoice.h
    keduvoctranslation.h
    keduvocwordtype.h
    keduvocpersonalpronoun.h
    sharedkvtmlfiles.h
    keduvocdeclension.h
    keduvockvtml2writer.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/libkdeedu  COMPONENT Devel
)

=== widgets/CMakeLists.txt ===


########### next target ###############

set(kdeeduwidgets_PART_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/kdeeduwidgets.cpp
)

KDE4_ADD_WIDGET_FILES(${kdeeduwidgets_PART_SRCS} kdeedu.widgets)

kde4_add_plugin(kdeeduwidgets ${kdeeduwidgets_PART_SRCS})



target_link_libraries(kdeeduwidgets ${KDE4_KDEUI_LIBS})

install(TARGETS kdeeduwidgets DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )

## libkdeedu 4.7.1

=== debian/changelog ===
libkdeedu (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 01:15:27 +0200

libkdeedu (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Wed, 07 Sep 2011 18:17:23 +0200

libkdeedu (4:4.7.0-0ubuntu2) oneiric; urgency=low

  * Bump various breaks replaces to catch 4.6.5 packages 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 28 Jul 2011 18:03:46 +0200

libkdeedu (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 22 Jul 2011 22:50:00 +0200

libkdeedu (4:4.6.90+repack1-0ubuntu1) oneiric; urgency=low

  * New upstream release candidate.
  * Split packaging from kdeedu for separate tarball.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 08 Jul 2011 10:41:49 +0200

=== debian/control ===
Source: libkdeedu
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake,
 debhelper (>= 7.3.16),
 pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6),
 libx11-dev
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdeedu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdeedu

Package: libkdeedu-data
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libkdeedu4 (<< 4:4.6.80)
Breaks: libkdeedu4 (<< 4:4.6.80)
Description: data files for libkdeedu
 This package contains the architecture-independent data files for libkdeedu.
 .
 This package is part of the KDE education module.

Package: kdeedu-kvtml-data
Architecture: all
Section: kde
Depends: ${misc:Depends}
Description: kvtml files for kdeedu programs
 This package contains architecture-independent data files for several kdeedu
 applications, like KAnagram, KHangman and KWordQuiz.
 .
 This package is part of the KDE education module.

Package: libkeduvocdocument4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libkdeedu-data (>= ${source:Version})
Replaces: libkdeedu4 (<< 4:4.6.80)
Breaks: libkdeedu4 (<< 4:4.6.80)
Description: library for reading and writing vocabulary files
 This package contains a library for reading and writing vocabulary files. It
 supports different file formats. KVTML (version 2) is the default. This library
 is used by Parley, Kanagram, KHangMan and KWordQuiz.
 .
 This package is part of the KDE education module.

Package: libkdeedu-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, kdelibs5-dev (>= 4:4.0.82),
 libkeduvocdocument4 (= ${binary:Version}), kdeedu-kvtml-data (= ${source:Version}),
 libkdeedu-data (= ${binary:Version})
Description: development files for the KDE educational libraries
 This package contains development files for building software that uses the
 KDE educational libraries.
 .
 This package is part of the KDE education module.

Package: libkdeedu-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, libkeduvocdocument4 (= ${binary:Version})
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for the KDE education module library
 This package contains debugging files used to investigate problems with
 binaries included in the KDE education module library.

## libkdeedu 4.7.2

=== debian/changelog ===
libkdeedu (4:4.7.2-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * Initial release. Start from the Ubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:43:59 -0300

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: libkdeedu
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.6),
+ kdelibs5-dev (>= 4:4.7),
  libx11-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdeedu
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdeedu
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkdeedu.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkdeedu.git
 
 Package: libkdeedu-data
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: all
+Depends: ${misc:Depends}
 Replaces: libkdeedu4 (<< 4:4.6.80)
 Breaks: libkdeedu4 (<< 4:4.6.80)
 Description: data files for libkdeedu
@@ -25,7 +26,6 @@
 
 Package: kdeedu-kvtml-data
 Architecture: all
-Section: kde
 Depends: ${misc:Depends}
 Description: kvtml files for kdeedu programs
  This package contains architecture-independent data files for several kdeedu
@@ -51,7 +51,7 @@
 Section: libdevel
 Depends: ${misc:Depends}, kdelibs5-dev (>= 4:4.0.82),
  libkeduvocdocument4 (= ${binary:Version}), kdeedu-kvtml-data (= ${source:Version}),
- libkdeedu-data (= ${binary:Version})
+ libkdeedu-data (= ${source:Version})
 Description: development files for the KDE educational libraries
  This package contains development files for building software that uses the
  KDE educational libraries.

## libkdeedu 4.7.4

=== debian/changelog ===
libkdeedu (4:4.7.4-1) experimental; urgency=low

  * New upstream release.
  
  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 00:07:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),

## libkdeedu 4.8.2

=== debian/changelog ===
libkdeedu (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Mar 2012 20:49:23 +0200

libkdeedu (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 15:25:09 +0100

libkdeedu (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:26 +0000

libkdeedu (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:15:01 +0000

libkdeedu (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 15:04:00 +0100

libkdeedu (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Dec 2011 14:37:09 +0000

libkdeedu (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:46:52 +0000

libkdeedu (4:4.7.2-0r1) UNRELEASED; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 18 Oct 2011 01:20:26 +0200

libkdeedu (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 03 Oct 2011 14:51:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: libkdeedu
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7),
+ kdelibs5-dev (>= 4:4.8.1),
  libx11-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkdeedu.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkdeedu.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdeedu
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdeedu
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkdeedu.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkdeedu.git
 
 Package: libkdeedu-data
 Architecture: all

## libkdeedu 4.8.4

=== debian/changelog ===
libkdeedu (4:4.8.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4.8.4.
  * Bump kdelibs5-dev build dependency to 4.8.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Add watch file.
  * Convert copyright to copyright-format v1.0 and fix/update.
  * Slightly improve packages descriptions.
  * Update installed files.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jun 2012 12:00:10 +0200

libkdeedu (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 06 Mar 2012 10:34:00 +0100

=== debian/debian/changelog ===
libkdeedu (4:4.8.4-0r1) UNRELEASED; urgency=low

  [ Pino Toscano ]
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4.8.4.
  * Bump kdelibs5-dev build dependency to 4.8.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Add watch file.
  * Convert copyright to copyright-format v1.0 and fix/update.
  * Slightly improve packages descriptions.
  * Update installed files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 15 Jun 2012 23:34:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,18 @@
 Source: libkdeedu
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1),
+ kdelibs5-dev (>= 4:4.8),
  libx11-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdeedu
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdeedu
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkdeedu.git
-X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkdeedu.git
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkdeedu.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkdeedu.git
 
 Package: libkdeedu-data
 Architecture: all
@@ -30,9 +27,9 @@
 Package: kdeedu-kvtml-data
 Architecture: all
 Depends: ${misc:Depends}
-Description: kvtml files for kdeedu programs
- This package contains architecture-independent data files for several kdeedu
- applications, like KAnagram, KHangman and KWordQuiz.
+Description: KVTML files for KDE-Edu programs
+ This package contains KVTML files for several KDE-Edu applications, such as
+ KAnagram, KHangman, and KWordQuiz.
  .
  This package is part of the KDE education module.
 
@@ -68,7 +65,9 @@
 Depends: ${misc:Depends}, libkeduvocdocument4 (= ${binary:Version})
 Breaks: kdeedu-dbg (<< 4:4.6.80)
 Replaces: kdeedu-dbg (<< 4:4.6.80)
-Description: debugging symbols for the KDE education module library
+Description: debugging symbols for the libkeduvocdocument library
  This package contains debugging files used to investigate problems with
- binaries included in the KDE education module library.
+ binaries included in the libkeduvocdocument4 library.
+ .
+ This package is part of the KDE education module.

## libkdeedu 4.8.5

=== debian/changelog ===
libkdeedu (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:52:59 +0200

libkdeedu (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:41:46 +0200

libkdeedu (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Tue, 01 May 2012 00:12:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: libkdeedu
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8),
+ kdelibs5-dev (>= 4:4.8.1),
  libx11-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkdeedu.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkdeedu.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdeedu
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdeedu
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkdeedu.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkdeedu.git
 
 Package: libkdeedu-data
 Architecture: all
@@ -27,9 +30,9 @@
 Package: kdeedu-kvtml-data
 Architecture: all
 Depends: ${misc:Depends}
-Description: KVTML files for KDE-Edu programs
- This package contains KVTML files for several KDE-Edu applications, such as
- KAnagram, KHangman, and KWordQuiz.
+Description: kvtml files for kdeedu programs
+ This package contains architecture-independent data files for several kdeedu
+ applications, like KAnagram, KHangman and KWordQuiz.
  .
  This package is part of the KDE education module.
 
@@ -65,9 +68,7 @@
 Depends: ${misc:Depends}, libkeduvocdocument4 (= ${binary:Version})
 Breaks: kdeedu-dbg (<< 4:4.6.80)
 Replaces: kdeedu-dbg (<< 4:4.6.80)
-Description: debugging symbols for the libkeduvocdocument library
+Description: debugging symbols for the KDE education module library
  This package contains debugging files used to investigate problems with
- binaries included in the libkeduvocdocument4 library.
- .
- This package is part of the KDE education module.
+ binaries included in the KDE education module library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

.PHONY: override_dh_auto_test

override_dh_makeshlibs:
	$(overridden_command) -V -- -c0

override_dh_shlibdeps:
	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libkdeedu-dbg

## libkdeedu 4.9.2

=== debian/changelog ===
libkdeedu (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:34:51 +0100

libkdeedu (4:4.9.1-0ubuntu1) quantal; urgency=low

  [ Harald Sitter ]
  * New upstream release

  [ Philip Muškovac ]
  * Change soname from 4.9.0 to 4.9.*

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:39:46 +0530

libkdeedu (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:52 +0100

libkdeedu (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:14:31 +0100

libkdeedu (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 18:06:47 +0200

libkdeedu (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream beta release

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 26 May 2012 14:17:39 +0200

libkdeedu (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Tue, 01 May 2012 00:12:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends: 
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1),
+ kdelibs5-dev (>= 4:4.9.2),
  libx11-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
@@ -52,7 +52,7 @@
 Package: libkdeedu-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, kdelibs5-dev (>= 4:4.0.82),
+Depends: ${misc:Depends}, kdelibs5-dev (>= 4:4.9.2),
  libkeduvocdocument4 (= ${binary:Version}), kdeedu-kvtml-data (= ${source:Version}),
  libkdeedu-data (= ${source:Version})
 Description: development files for the KDE educational libraries

## libkdeedu 4.9.3

=== debian/changelog ===
libkdeedu (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:40:46 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.3),
  libx11-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
@@ -52,7 +52,7 @@
 Package: libkdeedu-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, kdelibs5-dev (>= 4:4.9.2),
+Depends: ${misc:Depends}, kdelibs5-dev (>= 4:4.9.3),
  libkeduvocdocument4 (= ${binary:Version}), kdeedu-kvtml-data (= ${source:Version}),
  libkdeedu-data (= ${source:Version})
 Description: development files for the KDE educational libraries

## libkdeedu 4.10.0

=== debian/changelog ===
libkdeedu (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:07:31 +0000

libkdeedu (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:58:36 +0000

libkdeedu (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:20:11 +0100

libkdeedu (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:10:25 +0000

libkdeedu (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:11:13 +0000

libkdeedu (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:39:23 +0000

libkdeedu (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:43:33 +0100

libkdeedu (4:4.7.2-0r1) raring; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 18 Oct 2011 01:20:26 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.3),
+ kdelibs5-dev (>= 4:4.10.0),
  libx11-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
@@ -52,7 +52,7 @@
 Package: libkdeedu-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, kdelibs5-dev (>= 4:4.9.3),
+Depends: ${misc:Depends}, kdelibs5-dev (>= 4:4.10.0),
  libkeduvocdocument4 (= ${binary:Version}), kdeedu-kvtml-data (= ${source:Version}),
  libkdeedu-data (= ${source:Version})
 Description: development files for the KDE educational libraries

## libkdeedu 4.10.2

=== debian/changelog ===
libkdeedu (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:31:44 +0200

libkdeedu (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:42:39 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0),
+ kdelibs5-dev (>= 4:4.10.2),
  libx11-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
@@ -52,7 +52,7 @@
 Package: libkdeedu-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, kdelibs5-dev (>= 4:4.10.0),
+Depends: ${misc:Depends}, kdelibs5-dev (>= 4:4.10.2),
  libkeduvocdocument4 (= ${binary:Version}), kdeedu-kvtml-data (= ${source:Version}),
  libkdeedu-data (= ${source:Version})
 Description: development files for the KDE educational libraries

## libkdeedu 4.10.5

=== debian/changelog ===
libkdeedu (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:46:23 +0200

libkdeedu (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)
    - update libkdeedu-data.install

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:36:32 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2),
+ kdelibs5-dev (>= 4:4.10.5),
  libx11-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
@@ -52,7 +52,7 @@
 Package: libkdeedu-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, kdelibs5-dev (>= 4:4.10.2),
+Depends: ${misc:Depends}, kdelibs5-dev (>= 4:4.10.5),
  libkeduvocdocument4 (= ${binary:Version}), kdeedu-kvtml-data (= ${source:Version}),
  libkdeedu-data (= ${source:Version})
 Description: development files for the KDE educational libraries

## libkdeedu 4.11.2

=== debian/changelog ===
libkdeedu (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:46:45 +0100

libkdeedu (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:35:17 +0100

libkdeedu (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:51:04 +0100

libkdeedu (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:57:03 +0100

libkdeedu (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:19 +0000

libkdeedu (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:26:34 +0100

libkdeedu (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 01:42:09 +0100

libkdeedu (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:46:11 +0100

libkdeedu (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:10:50 +0000

libkdeedu (4:4.10.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Update lintian overrides.

 -- Sune Vuorela <sune@debian.org>  Mon, 29 Apr 2013 01:27:35 +0200

libkdeedu (4:4.10.2-1) experimental; urgency=low

  * New upstream release

 -- Sune Vuorela <sune@debian.org>  Fri, 05 Apr 2013 22:00:28 +0000

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: 
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.5),
+ kdelibs5-dev (>= 4:4.11.2),
  libx11-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdeedu
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdeedu
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkdeedu.git
-X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkdeedu.git
+X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkdeedu.git
+X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/libkdeedu.git
 
 Package: libkdeedu-data
 Architecture: all
@@ -30,9 +30,9 @@
 Package: kdeedu-kvtml-data
 Architecture: all
 Depends: ${misc:Depends}
-Description: kvtml files for kdeedu programs
- This package contains architecture-independent data files for several kdeedu
- applications, like KAnagram, KHangman and KWordQuiz.
+Description: KVTML files for KDE-Edu programs
+ This package contains KVTML files for several KDE-Edu applications, such as
+ KAnagram, KHangman, and KWordQuiz.
  .
  This package is part of the KDE education module.
 
@@ -52,7 +52,7 @@
 Package: libkdeedu-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, kdelibs5-dev (>= 4:4.10.5),
+Depends: ${misc:Depends}, kdelibs5-dev (>= 4:4.11.2),
  libkeduvocdocument4 (= ${binary:Version}), kdeedu-kvtml-data (= ${source:Version}),
  libkdeedu-data (= ${source:Version})
 Description: development files for the KDE educational libraries
@@ -68,7 +68,9 @@
 Depends: ${misc:Depends}, libkeduvocdocument4 (= ${binary:Version})
 Breaks: kdeedu-dbg (<< 4:4.6.80)
 Replaces: kdeedu-dbg (<< 4:4.6.80)
-Description: debugging symbols for the KDE education module library
+Description: debugging symbols for the libkeduvocdocument library
  This package contains debugging files used to investigate problems with
- binaries included in the KDE education module library.
+ binaries included in the libkeduvocdocument4 library.
+ .
+ This package is part of the KDE education module.

## libkdeedu 4.13.0

=== qtmmlwidget/CMakeLists.txt ===
set(qtmmlwidget_LIB_SRCS
    qtmmlwidget.cpp
)

kde4_add_library(qtmmlwidget STATIC ${qtmmlwidget_LIB_SRCS})

target_link_libraries(qtmmlwidget  ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY})

install(TARGETS qtmmlwidget ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES QtMmlDocument QtMmlWidget qtmmlwidget.h DESTINATION ${INCLUDE_INSTALL_DIR}/libkdeedu/qtmml/ COMPONENT Devel)

=== debian/changelog ===
libkdeedu (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:21:01 +0100

libkdeedu (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:48:24 +0200

libkdeedu (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:47:54 +0100

libkdeedu (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:53:41 +0000

libkdeedu (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:09:08 +0100

libkdeedu (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:20:06 +0000

libkdeedu (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:34:18 +0000

libkdeedu (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:34:16 +0000

libkdeedu (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:32:43 +0000

libkdeedu (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:29:44 +0100

libkdeedu (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:53:43 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.13.0),
  libx11-dev
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
@@ -52,7 +52,7 @@
 Package: libkdeedu-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, kdelibs5-dev (>= 4:4.11.2),
+Depends: ${misc:Depends}, kdelibs5-dev (>= 4:4.13.0),
  libkeduvocdocument4 (= ${binary:Version}), kdeedu-kvtml-data (= ${source:Version}),
  libkdeedu-data (= ${source:Version})
 Description: development files for the KDE educational libraries

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/libkdeedu-([\d\.]*).tar.xz

## libkdeedu 4.14.1

=== keduvocdocument/tests/CMakeLists.txt ===
# To add a new unittest
# 1. Add its name to kvocdoc_unittests or kvocdoc_api_unittests

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

set( unittest_INCLUDE_DIRS
  ..
  ../readerwriters
)

set(unittest_LINK_LIBS
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KIO_LIBS}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  ${QT_QTXML_LIBRARY}
)

#API interface unit tests linked to exported shared library
set(kvocdoc_api_unittests
  keduvocdocumentvalidatortest
  keduvocdocumentfilelockingtest
  openAPItest
)

#Unit Tests linked to object behind the API wall
set(kvocdoc_unittests
  readerkvtml2test
  readerwordquiztest
  readerpaukertest
  readervokabelntest
  readerxdxftest
)

#Helper Clases for unit tests
set(kvocdoc_unittests_helpers

)

macro(ADD_KVOCDOC_UNITTESTS staticOrAPILib)
  foreach(_unittestname ${ARGN} )

    kde4_add_unit_test(${_unittestname} ${_unittestname}.cpp ${kvocdoc_unittests_helpers} )

    target_link_libraries( ${_unittestname} PRIVATE ${staticOrAPILib} ${unittest_LINK_LIBS} ${kvocdoc_LINK_LIBS} )

  endforeach(_unittestname ${argn} )
endmacro(ADD_KVOCDOC_UNITTESTS)


include_directories( ${unittest_INCLUDE_DIRS} )

ADD_KVOCDOC_UNITTESTS( keduvocdocument_static ${kvocdoc_unittests} )
ADD_KVOCDOC_UNITTESTS( keduvocdocument ${kvocdoc_api_unittests} )


# CONVERTER:


include_directories( .. )


########### next target ###############

set(converter_SRCS
   converter.cpp )


kde4_add_executable(converter ${converter_SRCS})

target_link_libraries(converter keduvocdocument ${KDE4_KDECORE_LIBS})

=== debian/changelog ===
libkdeedu (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:44 +0200

libkdeedu (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 06:07:38 +0200

libkdeedu (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:45 +0200

libkdeedu (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:07 +0100

libkdeedu (4:4.11.5-1) unstable; urgency=medium

  * New upstream release.
  * Enable build failures on missing symbols.
  * Add abi-compliance-checker info.
  * Add autopkgtests.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 26 Jan 2014 18:52:23 +0100

libkdeedu (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 15:23:52 +0100

libkdeedu (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 12:05:55 +0200

libkdeedu (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 12:59:06 +0200

libkdeedu (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Update libkdeedu-data install file.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 10:10:45 +0200

=== debian/control ===
Source: libkdeedu
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libx11-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkdeedu.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkdeedu.git

Package: libkdeedu-data
Architecture: all
Depends: ${misc:Depends}
Replaces: libkdeedu4 (<< 4:4.6.80)
Breaks: libkdeedu4 (<< 4:4.6.80)
Description: data files for libkdeedu
 This package contains the architecture-independent data files for libkdeedu.
 .
 This package is part of the KDE education module.

Package: kdeedu-kvtml-data
Architecture: all
Depends: ${misc:Depends}
Description: KVTML files for KDE-Edu programs
 This package contains KVTML files for several KDE-Edu applications, such as
 KAnagram, KHangman, and KWordQuiz.
 .
 This package is part of the KDE education module.

Package: libkeduvocdocument4
Architecture: any
Section: libs
Depends: libkdeedu-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkdeedu4 (<< 4:4.6.80)
Breaks: libkdeedu4 (<< 4:4.6.80)
Description: library for reading and writing vocabulary files
 This package contains a library for reading and writing vocabulary files. It
 supports different file formats. KVTML (version 2) is the default. This library
 is used by Parley, Kanagram, KHangMan and KWordQuiz.
 .
 This package is part of the KDE education module.

Package: libkdeedu-dev
Architecture: any
Section: libdevel
Depends: kdeedu-kvtml-data (= ${source:Version}),
         kdelibs5-dev (>= 4:4.0.82),
         libkdeedu-data (= ${source:Version}),
         libkeduvocdocument4 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for the KDE educational libraries
 This package contains development files for building software that uses the
 KDE educational libraries.
 .
 This package is part of the KDE education module.

Package: libkdeedu-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libkeduvocdocument4 (= ${binary:Version}), ${misc:Depends}
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for the libkeduvocdocument library
 This package contains debugging files used to investigate problems with
 binaries included in the libkeduvocdocument4 library.
 .
 This package is part of the KDE education module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/libkdeedu-([\d.]+).tar.xz

## libkdeedu 4.14.2

=== debian/changelog ===
libkdeedu (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 17:03:41 +0200

libkdeedu (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:22:52 -0700

libkdeedu (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:44:54 +0200

libkdeedu (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:31:19 +0200

libkdeedu (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:20:26 +0200

libkdeedu (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:45:01 +0200

libkdeedu (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:35:22 +0200

libkdeedu (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with Debian, no remaining changes

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:06:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: libkdeedu
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                libx11-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkdeedu.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkdeedu.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdeedu
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdeedu
+X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkdeedu.git
+X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkdeedu.git
 
 Package: libkdeedu-data
 Architecture: all
@@ -53,7 +56,7 @@
 Architecture: any
 Section: libdevel
 Depends: kdeedu-kvtml-data (= ${source:Version}),
-         kdelibs5-dev (>= 4:4.0.82),
+         kdelibs5-dev (>= 4:4.14.2),
          libkdeedu-data (= ${source:Version}),
          libkeduvocdocument4 (= ${binary:Version}),
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 
 .PHONY: override_dh_auto_test
 
-override_dh_makeshlibs:
-	$(overridden_command) -V -- -c0
-
 override_dh_shlibdeps:
 	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
 	$(overridden_command) --remaining-packages

## libkdeedu 14.12.3

=== debian/changelog ===
libkdeedu (4:14.12.3-0ubuntu2) vivid; urgency=medium

  * Fix depends on kdelibs5-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 12:22:29 +0100

libkdeedu (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Fix kdelibs5 version in build depends 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:50:02 -0700

libkdeedu (4:14.12.2-0ubuntu3) vivid; urgency=medium

  * Fix depends version on kdelibs5-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 16 Feb 2015 11:26:14 +0100

libkdeedu (4:14.12.2-0ubuntu2) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version
  * Fix kdelibs5-dev version, as it is still in the 4.14 series. 
  * batchpatch new symbols. 
  * Relax on kdelibs version so it builds in sid. 
  * Fix -dev kdelibs depend version 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:42:29 -0800

libkdeedu (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Dec 2014 12:34:00 +0100

libkdeedu (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate.
  * Fix watch urls for new release location.
  * Update Vcs urls for the new repository location.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Drop kdeedu-kvtml-data and libkeedu-data packages as the files were
    moved to kdeedu-data
  * PPA build

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 28 Nov 2014 20:23:38 +0100

=== debian/control ===
Source: libkdeedu
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14),
               libx11-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/libkdeedu.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/libkdeedu.git

Package: libkeduvocdocument4
Architecture: any
Section: libs
Depends: kdeedu-data,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkdeedu4 (<< 4:4.6.80)
Breaks: libkdeedu4 (<< 4:4.6.80)
Description: library for reading and writing vocabulary files
 This package contains a library for reading and writing vocabulary files. It
 supports different file formats. KVTML (version 2) is the default. This library
 is used by Parley, Kanagram, KHangMan and KWordQuiz.
 .
 This package is part of the KDE education module.

Package: libkdeedu-dev
Architecture: any
Section: libdevel
Depends: kdelibs5-dev (>= 4:4.14),
         libkeduvocdocument4 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for the KDE educational libraries
 This package contains development files for building software that uses the
 KDE educational libraries.
 .
 This package is part of the KDE education module.

Package: libkdeedu-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libkeduvocdocument4 (= ${binary:Version}), ${misc:Depends}
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for the libkeduvocdocument library
 This package contains debugging files used to investigate problems with
 binaries included in the libkeduvocdocument4 library.
 .
 This package is part of the KDE education module.
